book bug

Rod Roark rod at sunsetsystems.com
Mon Oct 9 21:46:58 PDT 2000


On Mon, 09 Oct 2000, Anna Jonna Armannsdottir wrote:
> ...
> a slight error in the parameter list of a patch command.  The book says:
> 
> root:glibc-2.1.3# patch -Np1 -i ../glibc-2.1.3.patch
> 
> The command should read:
> root:glibc-2.1.3# patch -N -p1 -i ../glibc-2.1.3.patch

Isn't this the same thing?  Maybe it depends on the version of patch....

> ...
> Compiling and installing software with root priviliges is dangerous to
> the system health....

Right.  I did the first round of compiles as a normal user from the
outset, and wouldn't dream of doing otherwise.  After the static
stuff is built you can chown -R to make everything owned by root.
I agree that the book should suggest this.

-- Rod
   http://www.sunsetsystems.com/

-- 
Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the lfs-dev mailing list